Bug 19796 - [16.11] Subscription info appears doubled up on OPAC detail page
Summary: [16.11] Subscription info appears doubled up on OPAC detail page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 16.11
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-11 22:27 UTC by Katrin Fischer
Modified: 2017-12-22 19:19 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19796 - Fix doubled up subscription info on OPAC detail page (1.87 KB, patch)
2017-12-11 22:57 UTC, Katrin Fischer
Details | Splinter Review
Bug 19796 - Fix doubled up subscription info on OPAC detail page (1.92 KB, patch)
2017-12-19 20:09 UTC, Chris Cormack
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-12-11 22:27:27 UTC
When bug 18754 was merged into 16.11 a little mistake crept in. The "Subscripiton from: ..." line now appears twice on the subscription tab on the OPAC detail page.

 823 [% END %]
 824 <p>Subscription from: [% subscription.histstartdate | $KohaDates %] to:[% IF ( subscription.histenddate ) %] [% subscription.histenddate | $KohaDates %] [% ELSE %] now (current)[% END %]</p>
 825 <p class="subscription_dates">Subscription from: [% subscription.histstartdate | $KohaDates %] to:[% IF ( subscription.histenddate ) %] [% subscription.histenddate | $KohaDates %] [% ELSE %] now (current)[% END %]</p>
 826 [% IF ( subscription.missinglist ) %]

This is where the mistake happened:
http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=b0d86d10443809f3762bdac75a59d704f1a3976b

Problem is in 16.11 only, doesn't appear in 17.05 and up.
Comment 1 Katrin Fischer 2017-12-11 22:57:59 UTC
Created attachment 69705 [details] [review]
Bug 19796 - Fix doubled up subscription info on OPAC detail page

The info "Subscription from..." is showing twice on the subscription
tab on the OPAC detail page because of a bad merge. This patch removes
the doubled up information.

To test:
- Add a subscription
- Search for the record in the OPAC
- Switch to the subscription tab
- Verify that the 'Subscription from...' line is repeated
- Apply patch
- Verify only one line remains and nothing is missing
Comment 2 Chris Cormack 2017-12-19 20:09:03 UTC
Created attachment 69932 [details] [review]
Bug 19796 - Fix doubled up subscription info on OPAC detail page

The info "Subscription from..." is showing twice on the subscription
tab on the OPAC detail page because of a bad merge. This patch removes
the doubled up information.

To test:
- Add a subscription
- Search for the record in the OPAC
- Switch to the subscription tab
- Verify that the 'Subscription from...' line is repeated
- Apply patch
- Verify only one line remains and nothing is missing

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Marcel de Rooy 2017-12-22 11:18:05 UTC
Looks good to me. Moving to Stable status
Comment 4 Chris Cormack 2017-12-22 19:19:41 UTC
Pushed to 16.11.x will be in 16.11.15